| OpenCV 3.4.3 Open Source Computer Vision

Protected Member Functions | List of all members
cv::saliency::Objectness Class Referenceabstract
Saliency API

`#include "saliencyBaseClasses.hpp"`

Inheritance diagram for cv::saliency::Objectness:

## Protected Member Functions
virtual bool | computeSaliencyImpl (InputArray image, OutputArray saliencyMap) CV_OVERRIDE=0
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Additional Inherited Members
Public Member Functions inherited from cv::saliency::Saliency
virtual | ~Saliency ()
| Destructor. More...
bool | computeSaliency (InputArray image, OutputArray saliencyMap)
| Compute the saliency. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Attributes inherited from cv::saliency::Saliency
String | className

## Member Function Documentation

## § computeSaliencyImpl()

virtual bool cv::saliency::Objectness::computeSaliencyImpl | ( | InputArray | image,
|  | OutputArray | saliencyMap
| ) |  |
| protected pure virtual

Implements cv::saliency::Saliency.

Implemented in cv::saliency::ObjectnessBING.

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/saliency/include/opencv2/saliency/saliencyBaseClasses.hpp